---
updatedAt: 2026-06-18T16:33:19.000Z
agentTools:
  projectIndex: https://docs.lumeo.com/llms.txt
---

# Update Tag

Update a specific tag.

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Lumeo API",
    "version": "1.0",
    "description": "Lumeo is a custom video analytics platform that enables you to rapidly create, deploy,\nand securely manage smart vision-enabled applications. Our vision\nbuilding-blocks remove the development and operational overhead of\nmanaging off-the-shelf IP video cameras and visual data infrastructure for\nyou, and give you a fast, reliable and scalable way to bring vision-enabled\nservices to market.\n\nThe Lumeo API gives you an easy way to control your vision application and\nintegrate cameras, storage, processing and model management with your\napplication.\n\n# Authentication\n\nAll requests to Lumeo's REST API require you to authenticate. You\nauthenticate requests to Lumeo using API Keys which can be created and\nrevoked in the Lumeo Console.\n\n> To authenticate using an API Key, use HTTP Bearer (token) authentication and provide the API\n> key as the token in the Authorization header when making requests to protected resources:\n```\nAuthorization: Bearer <token>\n```\n\n# API Error Codes\n\nWhat errors and status codes can a user expect?\n\n| Error Code                          | Description |\n|-------------------------------------|-------------|\n| HTTP Status Codes for GET Requests  | Description |\n| HTTP Status Codes for POST Requests | Description |\n| Other Inline Error Codes            | Description |\n",
    "contact": {
      "name": "Lumeo",
      "url": "https://www.lumeo.com",
      "email": "support@lumeo.com"
    }
  },
  "servers": [
    {
      "url": "https://api.lumeo.com/v1",
      "description": "Production"
    }
  ],
  "tags": [
    {
      "name": "tags",
      "description": "Tags used to tag entities and put them into a hierarchy."
    }
  ],
  "paths": {
    "/apps/{application_id}/tags/{tag_id}": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "name": "application_id",
          "in": "path",
          "required": true
        },
        {
          "schema": {
            "type": "string"
          },
          "name": "tag_id",
          "in": "path",
          "required": true
        }
      ],
      "put": {
        "summary": "Update Tag",
        "operationId": "update_tag",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Tag"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_key": []
          }
        ],
        "tags": [
          "tags"
        ],
        "description": "Update a specific tag.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpsertTag"
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "http",
        "scheme": "bearer",
        "description": ""
      }
    },
    "schemas": {
      "Timestamps": {
        "title": "Timestamps",
        "type": "object",
        "properties": {
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2014-03-12T13:37:27+00:00",
            "description": "The time this object was created (ISO 8601)."
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2014-03-12T13:37:27+00:00",
            "description": "The time this object was last updated at (ISO 8601)."
          }
        },
        "required": [
          "created_at",
          "updated_at"
        ]
      },
      "ApplicationId": {
        "title": "Application ID",
        "type": "object",
        "properties": {
          "application_id": {
            "type": "string",
            "format": "uuid",
            "description": "The application this model belongs to."
          }
        },
        "required": [
          "application_id"
        ]
      },
      "UpsertTag": {
        "type": "object",
        "title": "Required data to create or update a tag.",
        "properties": {
          "name": {
            "type": "string",
            "description": "Name of the tag. Note that these names are not unique.",
            "example": "main-building"
          },
          "parent": {
            "type": "string",
            "format": "uuid",
            "description": "Id of the tag that this new/updated tag should reside under in the tag hierarchy."
          }
        },
        "required": [
          "name"
        ]
      },
      "Tag": {
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/Timestamps"
          },
          {
            "$ref": "#/components/schemas/ApplicationId"
          },
          {
            "$ref": "#/components/schemas/UpsertTag"
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid"
              },
              "path": {
                "type": "array",
                "description": "Path of the tag IDs in the tag hierarchy that this tag is under, starting at the root. Not including this tag itself.",
                "items": {
                  "type": "string",
                  "format": "uuid"
                },
                "example": [
                  "43f45f03-956b-4206-9e14-944b129b369a",
                  "c1769a76-f3ed-472c-ab9b-190d1f5518e5"
                ]
              },
              "children": {
                "type": "array",
                "description": "List of the tag IDs of all tags that have this tag as parent.",
                "items": {
                  "type": "string",
                  "format": "uuid"
                },
                "example": [
                  "74bec053-329a-4c94-86bb-45447fe8bca0",
                  "b30a3cee-1eae-4620-afb0-85bfabdb355a"
                ]
              }
            },
            "required": [
              "id",
              "path",
              "children"
            ]
          }
        ]
      }
    }
  }
}
````